apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: twhelp-api-v2-ingress
  annotations:
    traefik.ingress.kubernetes.io/router.entrypoints: web
    traefik.ingress.kubernetes.io/router.tls: "false"
    traefik.ingress.kubernetes.io/router.middlewares:
      kube-system-cors-twhelp@kubernetescrd,kube-system-compress@kubernetescrd,kube-system-ratelimit-twhelp@kubernetescrd
spec:
  rules:
    - host: tribalwarshelp.com
      http:
        paths:
          - path: /api/v2
            pathType: Prefix
            backend:
              service:
                name: twhelp-api-v2-service
                port:
                  number: 9234
    - host: twhelp.app
      http:
        paths:
          - path: /api/v2
            pathType: Prefix
            backend:
              service:
                name: twhelp-api-v2-service
                port:
                  number: 9234
